summarylogtreecommitdiffstats
path: root/gpm-vm
diff options
context:
space:
mode:
Diffstat (limited to 'gpm-vm')
-rwxr-xr-xgpm-vm22
1 files changed, 22 insertions, 0 deletions
diff --git a/gpm-vm b/gpm-vm
new file mode 100755
index 000000000000..f2e1cf780301
--- /dev/null
+++ b/gpm-vm
@@ -0,0 +1,22 @@
+#!/usr/bin/bash
+
+conf="/etc/gpm-vm.conf"
+
+if [[ ! -f "${conf}" ]]; then
+ echo "'${conf}' does not exist"
+ exit 1
+fi
+
+source "${conf}"
+
+if [[ ! -v event ]]; then
+ echo "'event' is not set in '${conf}'"
+ exit 1
+fi
+
+if [[ ! -c "${event}" ]]; then
+ echo "'${event}' does not exist or is not a character device"
+ exit 1
+fi
+
+/usr/bin/gpm -m "${event}" -t vbox